Index: issm/trunk/src/m/solve/solve.m
===================================================================
--- issm/trunk/src/m/solve/solve.m	(revision 18081)
+++ issm/trunk/src/m/solve/solve.m	(revision 18301)
@@ -21,4 +21,5 @@
 %      - loadonly    : does not solve. only load results
 %      - runtimename : true or false (default is true), makes name unique
+%      - checkconsistency : 'yes' or 'no' (default is 'yes'), ensures checks on consistency of model
 %
 %   Examples:
@@ -36,16 +37,18 @@
 
 %check model consistency
-if md.verbose.solution,
-	disp('checking model consistency');
-end
-if (solutionenum == FlaimSolutionEnum())
-	md.private.isconsistent=true;
-	md=checkconsistency(md.mesh,md,solutionenum);
-	md=checkconsistency(md.flaim,md,solutionenum);
-	if md.private.isconsistent==false,
-		error('Model not consistent, see messages above');
+if strcmpi(getfieldvalue(options,'checkconsistency','yes'),'yes'),
+	if md.verbose.solution,
+		disp('checking model consistency');
 	end
-else
-	ismodelselfconsistent(md),
+	if (solutionenum == FlaimSolutionEnum())
+		md.private.isconsistent=true;
+		md=checkconsistency(md.mesh,md,solutionenum);
+		md=checkconsistency(md.flaim,md,solutionenum);
+		if md.private.isconsistent==false,
+			error('Model not consistent, see messages above');
+		end
+	else
+		ismodelselfconsistent(md),
+	end
 end
 
Index: issm/trunk/src/m/solve/solve.py
===================================================================
--- issm/trunk/src/m/solve/solve.py	(revision 18081)
+++ issm/trunk/src/m/solve/solve.py	(revision 18301)
@@ -33,4 +33,5 @@
 	   extra options:
 	      - loadonly : does not solve. only load results
+		  - checkconsistency : 'yes' or 'no' (default is 'yes'), ensures checks on consistency of model
  
 	   Examples:
@@ -48,13 +49,14 @@
 
 	#check model consistency
-	print "checking model consistency"
-	if solutionenum == FlaimSolutionEnum():
-		md.private.isconsistent=True
-		md.mesh.checkconsistency(md,solutionenum)
-		md.flaim.checkconsistency(md,solutionenum)
-		if not md.private.isconsistent:
-			raise RuntimeError("Model not consistent, see messages above.")
-	else:
-		ismodelselfconsistent(md)
+	if m.strcmpi(options.getfieldvalue('checkconsistency','yes'),'yes'):
+		print "checking model consistency"
+		if solutionenum == FlaimSolutionEnum():
+			md.private.isconsistent=True
+			md.mesh.checkconsistency(md,solutionenum)
+			md.flaim.checkconsistency(md,solutionenum)
+			if not md.private.isconsistent:
+				raise RuntimeError("Model not consistent, see messages above.")
+		else:
+			ismodelselfconsistent(md)
 
 	#First, build a runtime name that is unique
Index: issm/trunk/src/wrappers/InterpFromGridToMesh/InterpFromGridToMesh.cpp
===================================================================
--- issm/trunk/src/wrappers/InterpFromGridToMesh/InterpFromGridToMesh.cpp	(revision 18081)
+++ issm/trunk/src/wrappers/InterpFromGridToMesh/InterpFromGridToMesh.cpp	(revision 18301)
@@ -9,5 +9,5 @@
 	_printf0_("\n");
 	_printf0_("   This function is a multi-threaded mex file that interpolates a field\n");
-	_printf0_("   defined on a grid onto a list of points\n");
+	_printf0_("   defined on a grid onto a list of points based on a bilinear interpolation\n");
 	_printf0_("\n");
 	_printf0_("   Usage:\n");
Index: issm/trunk/src/wrappers/Makefile.am
===================================================================
--- issm/trunk/src/wrappers/Makefile.am	(revision 18081)
+++ issm/trunk/src/wrappers/Makefile.am	(revision 18301)
@@ -1,3 +1,5 @@
 SUBDIRS = 
+
+if WRAPPERS
 if MATLAB
 SUBDIRS += matlab
@@ -7,2 +9,3 @@
 SUBDIRS += python
 endif
+endif 
Index: issm/trunk/src/wrappers/matlab/Makefile.am
===================================================================
--- issm/trunk/src/wrappers/matlab/Makefile.am	(revision 18081)
+++ issm/trunk/src/wrappers/matlab/Makefile.am	(revision 18301)
@@ -1,4 +1,4 @@
 AM_CPPFLAGS = @DAKOTAINCL@ @MATLABINCL@ @PETSCINCL@ @MPIINCL@ @SPOOLESINCL@ @METISINCL@ @TRIANGLEINCL@ @CHACOINCL@ @SCOTCHINCL@ @SHAPELIBINCL@ @AMPIINCL@
-#AUTOMAKE_OPTIONS = subdir-objects
+AUTOMAKE_OPTIONS = subdir-objects
 
 EXEEXT=$(MATLABWRAPPEREXT)
@@ -46,17 +46,12 @@
 #}}}
 #Wrappers {{{
-if WRAPPERS
-lib_LTLIBRARIES +=  AverageFilter.la\
-						 BamgMesher.la\
+lib_LTLIBRARIES += BamgMesher.la\
 						 BamgConvertMesh.la\
 						 BamgTriangulate.la\
 						 ContourToMesh.la\
 						 ContourToNodes.la\
-						 EdgeDetection.la\
 						 ElementConnectivity.la\
 						 EnumToString.la\
 						 ExpSimplify.la\
-						 HoleFiller.la\
-						 InternalFront.la\
 						 InterpFromGridToMesh.la\
 						 InterpFromMeshToMesh2d.la\
@@ -91,5 +86,4 @@
 				   Shp2Kml.la
 endif
-endif 
 #}}}
 
@@ -133,8 +127,4 @@
 libISSMApi_la_LDFLAGS = -module -export-dynamic
 
-AverageFilter_la_SOURCES = ../AverageFilter/AverageFilter.cpp\
-									../AverageFilter/AverageFilter.h
-AverageFilter_la_LIBADD = ${deps} $(MPILIB) $(PETSCLIB) $(GSLLIB)
-
 BamgMesher_la_SOURCES = ../BamgMesher/BamgMesher.cpp\
 								../BamgMesher/BamgMesher.h
@@ -173,12 +163,4 @@
 StringToEnum_la_LIBADD = ${deps} $(MPILIB) $(PETSCLIB) $(GSLLIB)
 
-HoleFiller_la_SOURCES = ../HoleFiller/HoleFiller.cpp\
-								../HoleFiller/HoleFiller.h
-HoleFiller_la_LIBADD = ${deps} $(MPILIB) $(PETSCLIB)  $(GSLLIB)
-
-InternalFront_la_SOURCES = ../InternalFront/InternalFront.cpp\
-									../InternalFront/InternalFront.h
-InternalFront_la_LIBADD = ${deps} $(MPILIB) $(PETSCLIB) $(GSLLIB)
-
 InterpFromGridToMesh_la_SOURCES = ../InterpFromGridToMesh/InterpFromGridToMesh.cpp\
 											 ../InterpFromGridToMesh/InterpFromGridToMesh.h
@@ -225,8 +207,4 @@
 Ll2xy_la_LIBADD = ${deps} $(MPILIB) $(PETSCLIB) $(GSLLIB)
 
-EdgeDetection_la_SOURCES = ../EdgeDetection/EdgeDetection.cpp\
-							../EdgeDetection/EdgeDetection.h
-EdgeDetection_la_LIBADD= ${deps} $(MPILIB) $(PETSCLIB) $(GSLLIB)
-
 ExpSimplify_la_SOURCES = ../ExpSimplify/ExpSimplify.cpp\
 							../ExpSimplify/ExpSimplify.h
Index: issm/trunk/src/wrappers/python/Makefile.am
===================================================================
--- issm/trunk/src/wrappers/python/Makefile.am	(revision 18081)
+++ issm/trunk/src/wrappers/python/Makefile.am	(revision 18301)
@@ -45,22 +45,20 @@
 #}}}
 #Wrappers {{{
-if WRAPPERS
-lib_LTLIBRARIES = BamgConvertMesh.la\
-						BamgMesher.la\
-						ContourToMesh.la\
-						ContourToNodes.la\
-						ElementConnectivity.la\
-						EnumToString.la\
-						InterpFromMeshToMesh2d.la\
-						InterpFromMeshToMesh3d.la\
-						InterpFromGridToMesh.la\
-						InterpFromMeshToGrid.la\
-						IssmConfig.la\
-						MeshProfileIntersection.la\
-						NodeConnectivity.la\
-						StringToEnum.la\
-						TriMesh.la\
-						TriMeshProcessRifts.la
-endif 
+lib_LTLIBRARIES += BamgConvertMesh.la\
+						 BamgMesher.la\
+						 ContourToMesh.la\
+						 ContourToNodes.la\
+						 ElementConnectivity.la\
+						 EnumToString.la\
+						 InterpFromMeshToMesh2d.la\
+						 InterpFromMeshToMesh3d.la\
+						 InterpFromGridToMesh.la\
+						 InterpFromMeshToGrid.la\
+						 IssmConfig.la\
+						 MeshProfileIntersection.la\
+						 NodeConnectivity.la\
+						 StringToEnum.la\
+						 TriMesh.la\
+						 TriMeshProcessRifts.la
 #}}}
 #Flags and libraries {{{
Index: issm/trunk/test/Exp/SquareFront.exp
===================================================================
--- issm/trunk/test/Exp/SquareFront.exp	(revision 18081)
+++ issm/trunk/test/Exp/SquareFront.exp	(revision 18301)
@@ -4,7 +4,7 @@
 5 1.
 # X pos Y pos
--1000 900000
+-1000 999999
 -1000 1100000
 1100000 1100000
-1100000 900000
--1000 900000
+1100000 999999
+-1000 999999
Index: issm/trunk/test/NightlyRun/IdToName.m
===================================================================
--- issm/trunk/test/NightlyRun/IdToName.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/IdToName.m	(revision 18301)
@@ -67,4 +67,6 @@
 	case 236, name='SquareShelfTranIspddIsdeltaSSA2d';
 	case 237, name='SquareShelfTranIspddIsdeltaSSA3d';
+	case 238, name='SquareShelfTranForceNoInterp2d';
+	case 239, name='SquareShelfTranForceNoInterp3d';
 	case 270, name='SquareShelfStressSSA2dDamage';
 	case 271, name='SquareShelfStressSSA2dDamageTran';
@@ -76,4 +78,6 @@
 	case 285, name='SquareShelfStressHOHigherOrder';
 	case 290, name='SquareShelfStressFSP2P1';
+	case 291, name='SquareShelfStressFSP4z';
+	case 292, name='SquareShelfTranSSA2dFloatingMeltParam';
 	case 301, name='SquareSheetConstrainedStressSSA2d';
 	case 302, name='SquareSheetConstrainedStressSIA2d';
@@ -109,4 +113,8 @@
 	case 334, name='SquareSheetConstrainedExtrudedHydrologyDC';
 	case 335, name='SquareSheetExtrudedHydrologyDCTwoLayers';
+	case 336, name='SquareSheetConstrainedSmbComponents2d';
+	case 337, name='SquareSheetConstrainedSmbComponents3d';
+	case 338, name='SquareSheetConstrainedSmbMeltComponents2d';
+	case 339, name='SquareSheetConstrainedSmbMeltComponents3d';
 	case 401, name='SquareSheetShelfStressSSA2d';
 	case 402, name='SquareSheetShelfStressSSA3d';
Index: issm/trunk/test/NightlyRun/IdToName.py
===================================================================
--- issm/trunk/test/NightlyRun/IdToName.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/IdToName.py	(revision 18301)
@@ -77,4 +77,6 @@
 	285  : 'SquareShelfStressHOHigherOrder',
 	290  : 'SquareShelfStressFSP2P1',
+	291  : 'SquareShelfStressFSP4z',
+	292  : 'SquareShelfTranSSA2dFloatingMeltParam',
 	301  : 'SquareSheetConstrainedStressSSA2d',
 	302  : 'SquareSheetConstrainedStressSIA2d',
Index: issm/trunk/test/NightlyRun/runme.m
===================================================================
--- issm/trunk/test/NightlyRun/runme.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/runme.m	(revision 18301)
@@ -20,4 +20,5 @@
 %                      'adolc'   : validation of adolc tests
 %                      'gia'   : validation of gia tests
+%                      'qmu'   : validation of dakota tests
 %                      ...
 %      'procedure'     'check' :   run the test (default)
@@ -51,5 +52,5 @@
 %GET benchmark {{{
 benchmark=getfieldvalue(options,'benchmark','nightly');
-if ~ismember(benchmark,{'all','nightly','ismip','eismint','thermal','mesh','validation','tranforcing','adolc','gia'})
+if ~ismember(benchmark,{'all','nightly','ismip','eismint','thermal','mesh','validation','tranforcing','adolc','gia','qmu'})
 	disp('runme warning: benchmark not supported, defaulting to test ''nightly''')
 	benchmark='nightly';
@@ -123,4 +124,6 @@
 elseif strcmpi(benchmark,'adolc'),
 	test_ids=intersect(test_ids,[3001:3200]);
+elseif strcmpi(benchmark,'qmu'),
+	test_ids=intersect(test_ids,[218 234 235 412:414 417 418 420]);
 end
 % }}}
Index: issm/trunk/test/NightlyRun/test108.m
===================================================================
--- issm/trunk/test/NightlyRun/test108.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test108.m	(revision 18301)
@@ -9,8 +9,8 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Temperature','BasalforcingsMeltingRate'};
+field_names     ={'Temperature','BasalforcingsGroundediceMeltingRate'};
 field_tolerances={1e-13,1e-5};
 field_values={...
 	(md.results.ThermalSolution.Temperature),...
-	(md.results.ThermalSolution.BasalforcingsMeltingRate),...
+	(md.results.ThermalSolution.BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test108.py
===================================================================
--- issm/trunk/test/NightlyRun/test108.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test108.py	(revision 18301)
@@ -18,8 +18,8 @@
 
 #Fields and tolerances to track changes
-field_names     =['Temperature','BasalforcingsMeltingRate']
+field_names     =['Temperature','BasalforcingsGroundediceMeltingRate']
 field_tolerances=[1e-13,1e-5]
 field_values=[\
 	md.results.ThermalSolution.Temperature,\
-	md.results.ThermalSolution.BasalforcingsMeltingRate,\
+	md.results.ThermalSolution.BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test109.m
===================================================================
--- issm/trunk/test/NightlyRun/test109.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test109.m	(revision 18301)
@@ -12,8 +12,8 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Temperature','BasalforcingsMeltingRate'};
+field_names     ={'Temperature','BasalforcingsGroundediceMeltingRate'};
 field_tolerances={1e-13,1e-13};
 field_values={...
 	(md.results.TransientSolution(1).Temperature),...
-	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(1).BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test109.py
===================================================================
--- issm/trunk/test/NightlyRun/test109.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test109.py	(revision 18301)
@@ -21,8 +21,8 @@
 
 #Fields and tolerances to track changes
-field_names     =['Temperature','BasalforcingsMeltingRate']
+field_names     =['Temperature','BasalforcingsGroundediceMeltingRate']
 field_tolerances=[1e-13,1e-13]
 field_values=[\
 	md.results.TransientSolution[0].Temperature,\
-	md.results.TransientSolution[0].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[0].BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test111.m
===================================================================
--- issm/trunk/test/NightlyRun/test111.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test111.m	(revision 18301)
@@ -10,7 +10,7 @@
 %Fields and tolerances to track changes
 field_names={...
-	'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface2','Thickness1','Temperature1','BasalforcingsMeltingRate1','Volume1', ...
-	'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2','Volume2', ...
-	'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsMeltingRate3','Volume3'};
+	'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface2','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1','Volume1', ...
+	'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2','Volume2', ...
+	'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsGroundediceMeltingRate3','Volume3'};
 field_tolerances={...
 	1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-05,1e-13,...
@@ -27,5 +27,5 @@
 	(md.results.TransientSolution(1).Thickness),...
 	(md.results.TransientSolution(1).Temperature),...
-	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(1).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(1).IceVolume),...
 	(md.results.TransientSolution(2).Vx),...
@@ -38,5 +38,5 @@
 	(md.results.TransientSolution(2).Thickness),...
 	(md.results.TransientSolution(2).Temperature),...
-	(md.results.TransientSolution(2).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(2).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(2).IceVolume),...
 	(md.results.TransientSolution(3).Vx),...
@@ -49,5 +49,5 @@
 	(md.results.TransientSolution(3).Thickness),...
 	(md.results.TransientSolution(3).Temperature),...
-	(md.results.TransientSolution(3).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(3).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(3).IceVolume),...
 	};
Index: issm/trunk/test/NightlyRun/test111.py
===================================================================
--- issm/trunk/test/NightlyRun/test111.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test111.py	(revision 18301)
@@ -19,7 +19,7 @@
 #Fields and tolerances to track changes
 field_names=[\
-	'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface2','Thickness1','Temperature1','BasalforcingsMeltingRate1','Volume1', \
-	'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2','Volume2', \
-	'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsMeltingRate3','Volume3']
+	'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface2','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1','Volume1', \
+	'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2','Volume2', \
+	'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsGroundediceMeltingRate3','Volume3']
 field_tolerances=[\
 	1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-05,1e-13,\
@@ -36,5 +36,5 @@
 	md.results.TransientSolution[0].Thickness,\
 	md.results.TransientSolution[0].Temperature,\
-	md.results.TransientSolution[0].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[0].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[0].IceVolume,\
 	md.results.TransientSolution[1].Vx,\
@@ -47,5 +47,5 @@
 	md.results.TransientSolution[1].Thickness,\
 	md.results.TransientSolution[1].Temperature,\
-	md.results.TransientSolution[1].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[1].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[1].IceVolume,\
 	md.results.TransientSolution[2].Vx,\
@@ -58,5 +58,5 @@
 	md.results.TransientSolution[2].Thickness,\
 	md.results.TransientSolution[2].Temperature,\
-	md.results.TransientSolution[2].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[2].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[2].IceVolume,\
 	]
Index: issm/trunk/test/NightlyRun/test1208.m
===================================================================
--- issm/trunk/test/NightlyRun/test1208.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test1208.m	(revision 18301)
@@ -30,5 +30,5 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx','Vy','Vz','Vel','Pressure','Thickness','Base','Surface','Temperature','BasalforcingsMeltingRate'};
+field_names     ={'Vx','Vy','Vz','Vel','Pressure','Thickness','Base','Surface','Temperature','BasalforcingsGroundediceMeltingRate'};
 field_tolerances={1e-08,1e-08,1e-07,1e-08,1e-08,1e-08,1e-08,1e-08,1e-07,3e-07};
 field_values={...
@@ -42,4 +42,4 @@
 	(md.results.TransientSolution(end).Surface),...
 	(md.results.TransientSolution(end).Temperature),...
-	(md.results.TransientSolution(end).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(end).BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test1208.py
===================================================================
--- issm/trunk/test/NightlyRun/test1208.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test1208.py	(revision 18301)
@@ -43,5 +43,5 @@
 
 #Fields and tolerances to track changes
-field_names     =['Vx','Vy','Vz','Vel','Pressure','Thickness','Base','Surface','Temperature','BasalforcingsMeltingRate']
+field_names     =['Vx','Vy','Vz','Vel','Pressure','Thickness','Base','Surface','Temperature','BasalforcingsGroundediceMeltingRate']
 field_tolerances=[1e-08,1e-08,1e-07,1e-08,1e-08,1e-08,1e-08,1e-08,1e-07,1e-07]
 field_values=[\
@@ -55,4 +55,4 @@
 	md.results.TransientSolution[-1].Surface,\
 	md.results.TransientSolution[-1].Temperature,\
-	md.results.TransientSolution[-1].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[-1].BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test1301.m
===================================================================
--- issm/trunk/test/NightlyRun/test1301.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test1301.m	(revision 18301)
@@ -29,5 +29,5 @@
 
 %plot results
-comp_melting=md.results.ThermalSolution.BasalforcingsMeltingRate;
+comp_melting=md.results.ThermalSolution.BasalforcingsGroundediceMeltingRate;
 relative=abs((comp_melting-melting)./melting)*100.;
 relative(find(comp_melting==melting))=0.;
Index: issm/trunk/test/NightlyRun/test1301.py
===================================================================
--- issm/trunk/test/NightlyRun/test1301.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test1301.py	(revision 18301)
@@ -43,5 +43,5 @@
 
 #plot results
-comp_melting=md.results.ThermalSolution.BasalforcingsMeltingRate
+comp_melting=md.results.ThermalSolution.BasalforcingsGroundediceMeltingRate
 relative=numpy.abs((comp_melting-melting)/melting)*100.
 relative[numpy.nonzero(comp_melting==melting)[0]]=0.
Index: issm/trunk/test/NightlyRun/test206.m
===================================================================
--- issm/trunk/test/NightlyRun/test206.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test206.m	(revision 18301)
@@ -9,8 +9,8 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Temperature','BasalforcingsMeltingRate'};
+field_names     ={'Temperature','BasalforcingsGroundediceMeltingRate'};
 field_tolerances={1e-13,5e-6};
 field_values={...
 	(md.results.ThermalSolution.Temperature),...
-	(md.results.ThermalSolution.BasalforcingsMeltingRate),...
+	(md.results.ThermalSolution.BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test206.py
===================================================================
--- issm/trunk/test/NightlyRun/test206.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test206.py	(revision 18301)
@@ -22,8 +22,8 @@
 # Fields and tolerances to track changes
 
-field_names     =['Temperature','BasalforcingsMeltingRate']
+field_names     =['Temperature','BasalforcingsGroundediceMeltingRate']
 field_tolerances=[1e-13,5e-6]
 field_values=[\
 	md.results.ThermalSolution.Temperature,\
-	md.results.ThermalSolution.BasalforcingsMeltingRate,\
+	md.results.ThermalSolution.BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test207.m
===================================================================
--- issm/trunk/test/NightlyRun/test207.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test207.m	(revision 18301)
@@ -12,12 +12,12 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Temperature1','BasalforcingsMeltingRate1','Temperature2','BasalforcingsMeltingRate2','Temperature3','BasalforcingsMeltingRate3'};
+field_names     ={'Temperature1','BasalforcingsGroundediceMeltingRate1','Temperature2','BasalforcingsGroundediceMeltingRate2','Temperature3','BasalforcingsGroundediceMeltingRate3'};
 field_tolerances={1e-13,1e-6,1e-13,1e-6,1e-13,1e-6};
 field_values={...
 	(md.results.TransientSolution(1).Temperature),...
-	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(1).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(2).Temperature),...
-	(md.results.TransientSolution(2).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(2).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(3).Temperature),...
-	(md.results.TransientSolution(3).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(3).BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test207.py
===================================================================
--- issm/trunk/test/NightlyRun/test207.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test207.py	(revision 18301)
@@ -23,12 +23,12 @@
 
 # Fields and tolerances to track changes
-field_names     =['Temperature1','BasalforcingsMeltingRate1','Temperature2','BasalforcingsMeltingRate2','Temperature3','BasalforcingsMeltingRate3']
+field_names     =['Temperature1','BasalforcingsGroundediceMeltingRate1','Temperature2','BasalforcingsGroundediceMeltingRate2','Temperature3','BasalforcingsGroundediceMeltingRate3']
 field_tolerances=[1e-13,1e-6,1e-13,1e-6,1e-13,1e-6]
 field_values=[\
 	md.results.TransientSolution[0].Temperature,\
-	md.results.TransientSolution[0].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[0].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[1].Temperature,\
-	md.results.TransientSolution[1].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[1].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[2].Temperature,\
-	md.results.TransientSolution[2].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[2].BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test209.m
===================================================================
--- issm/trunk/test/NightlyRun/test209.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test209.m	(revision 18301)
@@ -8,7 +8,7 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1', ...
-	'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2', ...
-	'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsMeltingRate3'};
+field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1', ...
+	'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2', ...
+	'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsGroundediceMeltingRate3'};
 field_tolerances={...
 	1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-8,...
@@ -25,5 +25,5 @@
 	(md.results.TransientSolution(1).Thickness),...
 	(md.results.TransientSolution(1).Temperature),...
-	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(1).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(2).Vx),...
 	(md.results.TransientSolution(2).Vy),...
@@ -35,5 +35,5 @@
 	(md.results.TransientSolution(2).Thickness),...
 	(md.results.TransientSolution(2).Temperature),...
-	(md.results.TransientSolution(2).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(2).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(3).Vx),...
 	(md.results.TransientSolution(3).Vy),...
@@ -45,4 +45,4 @@
 	(md.results.TransientSolution(3).Thickness),...
 	(md.results.TransientSolution(3).Temperature),...
-	(md.results.TransientSolution(3).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(3).BasalforcingsGroundediceMeltingRate),...
 	};
Index: issm/trunk/test/NightlyRun/test209.py
===================================================================
--- issm/trunk/test/NightlyRun/test209.py	(revision 18081)
+++ issm/trunk/test/NightlyRun/test209.py	(revision 18301)
@@ -21,7 +21,7 @@
 # Fields and tolerances to track changes
 
-field_names     =['Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1', \
-	'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2', \
-	'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsMeltingRate3']
+field_names     =['Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1', \
+	'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2', \
+	'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsGroundediceMeltingRate3']
 field_tolerances=[\
 	1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-13,1e-8,\
@@ -39,5 +39,5 @@
 	md.results.TransientSolution[0].Thickness,\
 	md.results.TransientSolution[0].Temperature,\
-	md.results.TransientSolution[0].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[0].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[1].Vx,\
 	md.results.TransientSolution[1].Vy,\
@@ -49,5 +49,5 @@
 	md.results.TransientSolution[1].Thickness,\
 	md.results.TransientSolution[1].Temperature,\
-	md.results.TransientSolution[1].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[1].BasalforcingsGroundediceMeltingRate,\
 	md.results.TransientSolution[2].Vx,\
 	md.results.TransientSolution[2].Vy,\
@@ -59,4 +59,4 @@
 	md.results.TransientSolution[2].Thickness,\
 	md.results.TransientSolution[2].Temperature,\
-	md.results.TransientSolution[2].BasalforcingsMeltingRate,\
+	md.results.TransientSolution[2].BasalforcingsGroundediceMeltingRate,\
 	]
Index: issm/trunk/test/NightlyRun/test210.m
===================================================================
--- issm/trunk/test/NightlyRun/test210.m	(revision 18081)
+++ issm/trunk/test/NightlyRun/test210.m	(revision 18301)
@@ -8,7 +8,7 @@
 
 %Fields and tolerances to track changes
-field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsMeltingRate1', ...
-				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsMeltingRate2', ...
-					   'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsMeltingRate3'};
+field_names     ={'Vx1','Vy1','Vz1','Vel1','Pressure1','Bed1','Surface1','Thickness1','Temperature1','BasalforcingsGroundediceMeltingRate1', ...
+				      'Vx2','Vy2','Vz2','Vel2','Pressure2','Bed2','Surface2','Thickness2','Temperature2','BasalforcingsGroundediceMeltingRate2', ...
+					   'Vx3','Vy3','Vz3','Vel3','Pressure3','Bed3','Surface3','Thickness3','Temperature3','BasalforcingsGroundediceMeltingRate3'};
 field_tolerances={...
 	1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,1e-09,...
@@ -25,5 +25,5 @@
 	(md.results.TransientSolution(1).Thickness),...
 	(md.results.TransientSolution(1).Temperature),...
-	(md.results.TransientSolution(1).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(1).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(2).Vx),...
 	(md.results.TransientSolution(2).Vy),...
@@ -35,5 +35,5 @@
 	(md.results.TransientSolution(2).Thickness),...
 	(md.results.TransientSolution(2).Temperature),...
-	(md.results.TransientSolution(2).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(2).BasalforcingsGroundediceMeltingRate),...
 	(md.results.TransientSolution(3).Vx),...
 	(md.results.TransientSolution(3).Vy),...
@@ -45,4 +45,4 @@
 	(md.results.TransientSolution(3).Thickness),...
 	(md.results.TransientSolution(3).Temperature),...
-	(md.results.TransientSolution(3).BasalforcingsMeltingRate),...
+	(md.results.TransientSolution(3).BasalforcingsGroundediceMeltingRate),...
 	};
